<div class="col-offset-2 formgrid grid col-8 flex-column" *ngIf="currentLaunch !== undefined">
  <div class="formgrid grid col mt-4 align-items-center">
    <button pButton pRipple type="button" icon="pi pi-arrow-left" [routerLink]="[homeRouterReturn]" class="p-button-text"></button>
    <p-divider layout="vertical"></p-divider>
    <p class="font-bold text-2xl">Szczegóły lotu # {{currentLaunch.flight_number}}</p>
  </div>
  <p-divider></p-divider>
  <div class="grid gap-4 flex-column mt-4">
    <div class="formgrid grid col gap-4">
      <div class="border-round-3xl shadow-7 col-12 md:col lg:col">
        <div class="flex flex-column border-round-3xl my-5">
          <div class="ml-2 text-xl">
            <p class="m-1">Lot: <span class="font-bold">{{currentLaunch.name}}</span></p>
            <p class="m-1">Data lotu: <span
              class="font-bold">{{currentLaunch.date_local | date: 'yyyy-MM-dd'}}</span></p>
            <p class="m-1">Status: <span class="font-bold">{{currentLaunch.success ? 'Udany' : 'Nieudany'}}</span>
            </p>
          </div>
        </div>
      </div>
      <div class="border-round-3xl shadow-7 col-12 md:col lg:col">
        <div class="flex flex-column border-round-3xl my-5">
          <div class="ml-2 text-xl">
            <p class="m-1">Załoga: <span class="font-bold">{{currentLaunch.crew.length}}</span></p>
            <p class="m-1">Rakieta: <span class="font-bold">{{currentLaunch.rocket}}</span></p>
            <p class="m-1">Start: <span class="font-bold">{{currentLaunch.name}}</span></p>
          </div>
        </div>
      </div>
    </div>
    <p-galleria *ngIf="currentLaunch.links.flickr.original.length !== 0"
                [value]="currentLaunch.links.flickr.original"
                [responsiveOptions]="galleryOptions.responsiveGalleryOptions"
                class="border-round-3xl shadow-7">
      <ng-template pTemplate="item" let-image>
        <img class="border-round-top-3xl image" [src]="image" style="width: 100%"/>
      </ng-template>
      <ng-template pTemplate="thumbnail" let-image>
        <div class="grid grid-nogutter justify-content-center">
          <img class="image-s" [src]="image"/>
        </div>
      </ng-template>
    </p-galleria>
    <div class="border-round-3xl shadow-7 col" *ngIf="currentLaunch.details !== null">
      <div class="flex flex-column border-round-3xl my-5">
        <div class="ml-2 text-xl">
          <p class="m-1">
            {{currentLaunch.details}}
          </p>
        </div>
      </div>
    </div>
  </div>
</div>

